<?php

/**
 * @file
 * AMU HAL Publications block template: Vancouver brackets and no et al.. style.
 */

 /**
  * Usable variables.
  *
  * @param array docs
  *   : Document variables.
  * @param array filters
  *   : Filters.
  * @param string display
  *   : Display type.
  * @param string suffix
  *   : Block instance number.
  * @param array config
  *   : Block configuration.
  *
  * @todo @param string results
  *   : Number of results.
  */

  global $language;
  drupal_add_js(drupal_get_path('module', 'amu_hal') . '/js/amu_hal.js', 'file');
  drupal_add_css(drupal_get_path('module', 'amu_hal') . '/css/amu_hal.css');
  drupal_add_js(drupal_get_path('module', 'amu_hal') . '/libraries/chosen/chosen.jquery.min.js', 'file');
  drupal_add_css(drupal_get_path('module', 'amu_hal') . '/libraries/chosen/chosen.css');
?>
<?php  if($config->filtres[1] == 1): ?>
  <div class = "hal-filters grid_8  push_2">
    <?php print drupal_render(drupal_get_form('_amu_hal_filters_form', $filters, $suffix)); ?>
  </div>
<?php endif; ?>
<?php if ($display == 'teaser'): ?>
  <?php if (count($docs) <= 0): ?>
    <div class="hal-publications grid_8 push_2">
        <div class="hal-main">
          <?php print(t('No results')); ?>
        </div>
    </div>
  <?php else: ?>
    <div class="hal-publications grid_8 push_2">
      <div class="toggle-export">
        <?php print drupal_render(drupal_get_form('_amu_hal_export_form')); ?>
      </div>
      <?php foreach ($docs as $doc): ?>
        <div class="hal-publication" id="<?php echo $doc->halId_s; ?>">
          <div class="hal-main">
            <span class="hal-authors">
              <?php $count_authors = count($doc->authLastNameFirstName_s); ?>
              <?php
                $concat_authors = "";
                foreach ($doc->authLastNameFirstName_s as $key => $author){
                  if($key == $count_authors - 1){
                    $concat_authors .= $author;
                  }else{
                    $concat_authors .= $author . ", ";
                  }
                }
                echo $concat_authors . ".";
              ?>
            </span>
            <a href="<?php echo $doc->uri_s; ?>">
              <span class="hal-title">
                <?php
                  if((substr($doc->title_s[0], -1) === '.') || (substr($doc->title_s[0], -1) === '!') || (substr($doc->title_s[0], -1) === '?')){
                    echo $doc->title_s[0];
                  } else {
                    echo $doc->title_s[0] . ".";
                  }
                ?>
              </span>
            </a>
            <span class="hal-misc">
              <?php
                if ($doc->journalTitle_s){
                    echo '<span class="hal-journal">' . $doc->journalTitle_s . '.</span>';
                }
                if ($doc->producedDateY_i){
                  echo " " . $doc->producedDateY_i;
                  if($doc->volume_s || $doc->issue_s[0] || $doc->page_s){
                    echo ";";
                  } else{
                    echo ".";
                  }
                }
                if ($doc->volume_s){
                  echo $doc->volume_s;
                }
                if ($doc->issue_s[0]){
                  echo "(" . $doc->issue_s[0] . ")";
                }
                if ($doc->page_s){
                  if ($doc->volume_s || $doc->issue_s[0]){
                    echo ":";
                  }
                  echo $doc->page_s . ".";
                }
              ?>
            </span>
            <span class="hal-url">
              <?php if ($doc->publisherLink_s[0]): ?>
                  <a href="<?php print $doc->publisherLink_s[0]; ?>"><?php print $doc->publisherLink_s[0]; ?></a>
              <?php endif; ?>
            </span>
            <?php if($doc->files_s[0]): ?>
              <?php if(strpos($doc->journalSherpaCondition_s, "Publisher's version/PDF may be used") !== FALSE): ?>
                <a href="<?php echo $doc->files_s[0]; ?>" target="_blank" title="<?php echo $doc->files_s[0]; ?>">
                  <span class="hal-pdf"></span>
                </a>
              <?php else: ?>
                <?php
                  $xml = simplexml_load_string($doc->label_xml);
                  $date = $xml->text->body->listBibl->biblFull->editionStmt->edition->date[4];
                  $embargo = t("The file is embargoed untill") . " " . $date;
                  $today = date('Y-m-d', time());
                  $today_unix = strtotime($today);
                  $date_unix = strtotime($date);
                ?>
                <?php if($today_unix > $date_unix): ?>
                  <a href="<?php echo $doc->files_s[0]; ?>" target="_blank" title="<?php echo $doc->files_s[0]; ?>">
                    <span class="hal-pdf"></span>
                  </a>
                <?php else: ?>
                  <span class="hal-pdf-embargo" title="<?php echo $embargo; ?>"></span>
                <?php endif; ?>
              <?php endif; ?>
            <?php endif;?>
            <a target="_blank" href="/bibtex/<?php print($doc->halId_s); ?>" title="Export BibTex"><span class="export-bibtex"></span></a>
            <a target="_blank" href="/rtf/<?php print($doc->halId_s); ?>" title="Export RTF"><span class="export-rtf"></span></a>
          </div>
        </div>
      <?php endforeach; ?>
    </div>
  <?php endif; ?>
<?php endif; ?>
